---
title: "Create an order contact (legacy)"
slug: "create-an-order-contact--legacy-"
abstract: "Describes how to create an order contact using the Sitecore CDP Order contact REST API."
---
# Create an order contact (legacy)

> [!important]
> [A newer version of this REST API (v2.1) is available](https://api-docs.sitecore.com/cdp/order-rest-api). If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, [read about the differences between v2 and v2.1](https://doc.sitecore.com/cdp/en/developers/api/rest-apis/legacy-rest-apis/order-contact-rest-api-v2--legacy-/differences-between-v2-and-v2-1-of-the-order-rest-apis.html "Differences between v2 and v2.1 of the Order REST APIs") so you can upgrade.

`POST /v2/orders/<orderRef>/contacts`

Creates the primary contact on an order.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `orderRef` | string | The reference of the order.<br><br>If you do not know the order reference, first [retrieve orders](https://doc.sitecore.com/cdp/en/developers/api/rest-apis/legacy-rest-apis/order-contact-rest-api-v2--legacy-/retrieve-orders--legacy-.html). | `d680c9be-4c07-4731-857e-9602034b15f2` |

At a minimum, you must provide the following required attributes in the request body:

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `firstName` | string (title case recommended) | The first name of the order contact. | `"John"` |
| `lastName` | string (title case recommended) | The last name of the order contact. | `"Doe"` |

In the response, `ref` contains the order contact reference.

```curl
curl -X POST <baseURL>/v2/orders/d680c9be-4c07-4731-857e-9602034b15f2/contacts' \
-u '<username>:<password>' \
-H 'Accept: application/json' \
--data-raw '{
    "title": "Mr",
    "firstName": "John",
    "lastName": "Doe",
    "gender": "male",
    "dateOfBirth": "2026-10-28T00:`00:00`.000Z",
    "emails": [
        "john.doe@myretailsite.com"
    ],
    "phoneNumbers": [
        "+353161123345",
        "+353861123345"
    ],
    "nationality": "Irish",
    "passportNumber": "PZ4A9565",
    "guest": {
        "href": "<baseURL>/v2/guests/9d94ee11-7043-4b71-980c-a777d00a7b46"
    }
}'

```

```json
{
    "href": "<baseURL>/v2/orderContacts/F8D1F0D5-365D-46B7-BECF-D041E93A5705",
    "ref": "F8D1F0D5-365D-46B7-BECF-D041E93A5705",
    "createdAt": "2026-08-15T16:`00:55`.554Z",
    "modifiedAt": "2026-08-21T16:`00:51`.882Z",
    "title": "Mr",
    "firstName": "John",
    "lastName": "Doe",
    "gender": "male",
    "dateOfBirth": "2026-10-28T00:`00:00`.000Z",
    "emails": [
        "john.doe@myretailsite.com"
    ],
    "phoneNumbers": [
        "+353161123345",
        "+353861123345"
    ],
    "nationality": "Irish",
    "passportNumber": "PZ4A9565",
    "guest": {
        "href": "<baseURL>/v2/guests/9d94ee11-7043-4b71-980c-a777d00a7b46"
    },
    "order": {
        "href": "<baseURL>/v2/orders/056621C2-C955-492D-B7EE-C77C6BDDFDEE"
    }
}

```